# Starstorm 2

## Overview

Starstorm 2 is a work-in-progress RoR2 port of Starstorm, a diverse gameplay and content mod for Risk of Rain 1. It features two new survivors, over 20 new items and equipment, and a new, dangerous event to shake up your runs.

More information on Starstorm, including features and content to look forward to in SS2, can be found in its info section at https://rainfusion.ml/ or its wiki at https://starstormmod.fandom.com/wiki/Starstorm_Mod_Wiki. For more information on SS2, including development updates and an outlet for feedback and bug reports, visit our Discord server at https://discord.gg/BXKPaS7A8z.

## Features

![](https://i.imgur.com/eLUJ3Z6.png)

* **Executioner** - An aggressive, versatile survivor with an arsenal made for picking off targets and chaining kills. His powerful ion gun gains a shot for every enemy you take down.

* **???** - A survivor of unknown origin, familiar yet unfamiliar. Under the right conditions, you may meet him on the planet, but he certainly won't be on your side.

![](https://i.imgur.com/c0GoQOf.png)

* **New items** - 18 new items and 4 new equipment to support new and existing playstyles. Strengthen your crits with the Erratic Gadget, become a stationary powerhouse with the Hunter's Sigil, or gain some vertical thrust on demand with the Pressurized Canister - and keep an eye out for the elusive Sibylline tier of items!

![](https://i.imgur.com/vGTL8l9.png)

* **Storms** - When the skies cloud over, be on your guard. These occasional bouts of bad weather provide enemies with dangerous stat boosts.

* **The Void** - Those who find themselves travelling to the planet's hidden realms may accidentally leak some of those realms back onto Petrichor V...

* **Void Elites** - These otherworldly elites gradually dampen your movement speed and jump height if you linger inside their spheres of influence. Ordinarily they begin spawning after looping back to stage 1, but beware - if you have a propensity for dimension-hopping, you may meet them earlier, alongside another unwelcome visitor...

## Credits

* Code - Flan, rob, swuff★, TheTimesweeper, xpcybic, Xubas
* Art/Modelling/Animation - Bolty, bruh, Cexeub, DarkLordLui, Gem, LucidInceptor, Plexus, QuietAnon, redacted, rob, Spenny, swuff★, xpcybic
* Writing - Blimblam, Lyrical Endymion, swuff★ T_Dimensional
* Additional support/special thanks - Shooty, don, Draymarc, Gnome, KomradeSpectre, MinimalEffort, Moffein, Moshinate, Neik, Riskka

## Known Issues

The most critical issues, and their workarounds if any, will be added to this list as they are discovered. Other issues can be found on our Discord server in #ss2-known-issues.

* The Executioner unlock achievement is currently host-only.
* The Watch Metronome does not function for non-hosts in multiplayer. It is recommended that you disable this item in config (set "Enable Metronome" to false) when hosting multiplayer games.
* Visual effects relating to Void Fields are not visible to non-hosts in multiplayer.
* Stirring Soul counts as a boss-tier item and can be used in overgrown 3d printers.

## Changelog

**Warning: content spoilers below!**

### 0.3.2
* General
	* Fix an issue causing an ESO-related error and possibly preventing Void elites from spawning in some cases
* Enemies
	* Add item blacklisting to Nemesis Commando boss
	* Nemesis Commando boss is given roughly half as many items as before and is no longer given unique boss damage boost (he is still very dangerous to be near)
* Executioner
	* Increase base damage on primary (240% -> 280%)
	* Reduce base fire rate on primary (0.5s -> 0.65s)
	* Secondary fires a maximum of 10 shots at a time, even if more are stored via Backup Magazines
	* Increase base/maximum damage on special (1000%/1600% -> 1100%/2200%)
	* Special grants additional secondary restock on kill instead of reducing cooldowns
	* Adjust health and damage scaling very slightly
	* Update animations and VFX
* Nemesis Commando
	* Secondary projectile speed scales with charge
	* Update description on Submission (default special) to better reflect what it does
	* Update animations
	* New sword sounds
* Items
	* Re-enable Green Chocolate. Buff lasts longer and can stack.
	* Add Relic of Mass lore
	* Dormant Fungus: reduce healing (2% -> 1.5%)
	* Fork: reduce damage bonus (10% -> 7%)
	* Diary: adjust scaling to give less exp at low levels and a bit more at higher levels
	* Prototype Jet Boots: enemies no longer hurt themselves when using the item
	* Malice: reduce damage scaling on stack (each additional enemy hit takes 55% of the previous enemy's damage)
	* Droid Head: increase drone damage and movespeed; stacking now scales drone damage instead of duration

### 0.3.1
* Fix missing ESO dependency

### 0.3.0
* *First Thunderstore release*
* Gameplay
	* Add storms and run-wide event system. Storms are more frequent and have shorter forewarning at higher difficulties.
	* Add Void elites (tier 2)
	* Visiting Void Fields at any point during a run makes Void Elites start appearing early and releases Commando's vestige into our reality...
	* Removed Herobrine
* Executioner
	* Add unlock condition
	* Add mastery skin
	* Add grand mastery skin, obtainable by winning/obliterating on Typhoon difficulty
	* New model and animations, based more closely on Starstorm's Executioner
	* Gun glow now reflects number of stored secondary charges
	* Update item displays to fit new model
	* Reworked base/maximum damage on special (1200%/2400% -> 1000%/1600%)
	* Fix special causing self-damage/utility causing self-fear when Artifact of Chaos is active
	* Add remaining item displays (if any are missing, yell at me -swuff★)
* Nemesis Commando
	* Add unlock condition
	* New mastery skin (old one is available by default)
	* Add grand mastery skin, obtainable by winning/obliterating on Typhoon difficulty
	* Update sounds and visuals, especially on Decisive Strike
	* Update description
	* Add remaining item displays (same as with Exe -★)
* Commando
	* Add grand mastery skin
* Items
	* Add Relic of Mass (lunar) and Stirring Soul
	* Internal item code rewrite to support item displays for our items
	* Add per-item on/off toggles to config
	* Diary: scale up exp gain with level
	* Molten Coin: update icon
	* Hottest Sauce: deals 100% base damage before applying burn; fix lighting yourself on fire when Artifact of Chaos is active
	* Nkota's Heritage: adjust rarity scaling to work similarly to RoR1 Starstorm, add chance for red items, prevent Engineer turrets from dropping items
	* Erratic Gadget: add non-stacking 10% crit chance
	* Greater Warbanner: only one banner may be placed at a time (previous banner is removed when a new one is placed)

### 0.2.4.3
* hotfix for nemmando networking for real this time

### 0.2.4.2
* hotfix for networking
* fix for strides of heresy breaking on nemmando

### 0.2.4.1
* Nemesis Commando
	* Fixed networking issues
	* Lowered Decisive Strike (Special) charge time from 2s to 1.75s and buffed damage per hit from 350% to 375%
	* Removed auto-aim and Awareness buff on Submission, added proper attack speed sclaing.

### 0.2.4
* Executioner
	* Primary is slower but more powerful
	* Special now deals 1200% flat on groups, and 2400% to solo targets (from 1500% to solo target, split between # of targets)
* Nemesis Commando
	* New animations for pretty much everything
	* Primary has had damage / attack speed adjustments, hitbox changes, is now a one-two combo like Loader's
	* Secondary is now a proper sword beam, visually
	* Secondary now applies Gouge
	* Adjusted interrupt priorities for abilities to make them flow together better
	* New alternate special ability, WIP.

### 0.2.3
* Nemesis Commando
	* Fix sword combo not resetting when not using primary
	* Fix slightly bad aim on special
	* Fix gouge applying twice
	* Adjust skill priorities so other skills can be used while holding primary attack
* Executioner
	* Add some more item displays
* Items
	* Diary: increase exp gain rate (3 per 3sec -> 3 per 2sec)
	* Molten Coin: scale earnings by number of stages cleared ($1 per stage)
	* Hottest Sauce: increase burn damage (50% -> 100% damage/sec)
	* Nkota's Heritage: chance of uncommon item scales with level
	* Pressurized Canister: fix poor thrust force when used with heavy characters e.g. Acrid
	* Update item descriptions to match item behavior
* Gameplay
	* Typhoon: increase soft cap on enemy spawns to 80. This is an experimental feature and can be disabled in config.

### 0.2.2
* Executioner
	* Fix bad aim on secondary
	* Add some item displays

### 0.2.1
* Executioner
	* Increase aim snapping on secondary again
	* Add display rules for equipment that needs them to work
* Nemesis Commando
	* Primary is now agile (can be used while sprinting)
	* All hits of primary apply gouge status
	* Gouge duration resets when reapplied
	* New secondary: a chargeable sword beam which behaves like Commando's Phase Round
	* Add more item display rules
* Items
	* Broken Jet Boots: change vfx to something less visually intrusive
	* Watch Metronome: increase base decay duration (2 -> 4sec)
	* Fix some typos in item logbook entries
	* Broken Blood Tester: disable proc while run timer is paused
	* Molten Coin: fix missing texture
* Other
	* Fix known multiplayer incompatibilities (e.g. Executioner's secondary not storing charges)

### 0.2.0
* Items
	* Add Malice, Fork, Coffee Bag, Watch Metronome, Hunter's Sigil, Green Chocolate, Droid Head, Pressurized Canister, and Cloaking Headband
	* Disable Nucleator until he is more finished
	* New icons for items that were missing them
	* Add logbook entries for items
	* Fix Molten Coin not working
	* Hottest Sauce: Increase range, fix missing stacking behavior, fix proc on unusable equipment e.g. fuel array
	* Change Dormant Fungus healing (10% per 5sec -> 2% per sec)
	* Fix oddities on some item models
	* Add debuff icons for Trematode, Strange Can
* Executioner
	* Utility procs fear for its entire duration
	* Activating utility causes stun and slight pushback
	* Slightly decrease fear proc radius on utility
	* Enemies under fear debuff take 20% more damage from all sources
	* Tone down particles/VFX on utility
	* Slightly increase aim snapping while using secondary (easier to land shots)
* Nemesis Commando
	* Add mastery achievement + skin
	* Adjust base stats to more closely match Commando's
	* Fix attacks having 0 proc coefficient
	* Add skill icons
	* Add descriptions for survivor and skills
	* Add logbook entry
	* Add sounds
	* Ragdoll, animation tweaks, some item displays, and lots of other quality-of-life details
	* Fix jogging in place on character select screen

### 0.1.0
* Initial release - includes Executioner, Nemesis Commando, Nucleator (WIP), 11 items, and typhoon difficulty
